Get all bank accounts for a user ( SUNSETTING )
curl --request GET \
--url https://api.grailpay.com/3p/api/v1/bank-account/list/{user_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.grailpay.com/3p/api/v1/bank-account/list/{user_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.grailpay.com/3p/api/v1/bank-account/list/{user_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"data": [
{
"uuid": "f7a809c8-1987-4627-b1ab-885550cbbb5a",
"account_number": "12345678901234",
"routing_number": "056008849",
"account_name": "Jack Jones",
"account_type": "savings",
"aggregator_type": "manual",
"created_at": "2023-10-16 16:19:42",
"is_default": true
},
{
"uuid": "9abaa7dc-b31d-4fdf-b8a5-e62c8a582c9b",
"account_number": "1111222233330000",
"routing_number": "011401533",
"account_name": "Jack Jones",
"account_type": "savings",
"aggregator_type": "plaid",
"created_at": "2023-11-29 13:31:48",
"is_default": false
}
],
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "User not found",
"statusCode": 404,
"errorCode": {
"type": "client_error",
"subType": "uuid_not_found"
}
}Bank Accounts
Get all bank accounts for a user ( SUNSETTING )
This API retrieves a list of all bank accounts associated with a business or person. The response includes details such as the account number, routing number, account holder’s name, account type, and other relevant information. This Endpoint is Sunsetting and you should use the stable endpoint. Sunsetting APIs that are still supported but scheduled for deprecation.
GET
/
3p
/
api
/
v1
/
bank-account
/
list
/
{user_uuid}
Get all bank accounts for a user ( SUNSETTING )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Path Parameters
UUID of the user
Response
Successful response
Example:
true
Example:
""
Show child attributes
Show child attributes
Example:
[
{
"uuid": "f7a809c8-1987-4627-b1ab-885550cbbb5a",
"account_number": "12345678901234",
"routing_number": "056008849",
"account_name": "Jack Jones",
"account_type": "savings",
"aggregator_type": "manual",
"created_at": "2023-10-16 16:19:42",
"is_default": true
},
{
"uuid": "9abaa7dc-b31d-4fdf-b8a5-e62c8a582c9b",
"account_number": "1111222233330000",
"routing_number": "011401533",
"account_name": "Jack Jones",
"account_type": "savings",
"aggregator_type": "plaid",
"created_at": "2023-11-29 13:31:48",
"is_default": false
}
]
Example:
null
Example:
null
⌘I
